package com.brilliance.swift.mt2mx.camt029001.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.camt029001.AbstractMt2MxCamt029001ParseField;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.mt.AbstractMT;

import java.util.HashMap;
import java.util.Map;
//将原始消息的标识号填入map集合中
public class Camt029001Parse21Field extends AbstractMt2MxCamt029001ParseField {

    private static final String NAME = "21";

    @Override
    public void parseField() throws SwiftException {
        AbstractMT abstractMT = context.get(AbstractMT.class);
        Tag tag21 = abstractMT.getSwiftMessage().getBlock4().getTagByName(NAME);
        if (tag21 != null) {
            Map<String, Object> rslvdCaseMaps = null;
            if(txInfAndStsMaps.containsKey("rslvdCase")){
                rslvdCaseMaps = (Map<String, Object>) txInfAndStsMaps.get("rslvdCase");
            }else {
                rslvdCaseMaps = new HashMap<>();
                txInfAndStsMaps.put("rslvdCase",rslvdCaseMaps);
            }
            rslvdCaseMaps.put("id",tag21.getValue());

        }
    }
}
