package com.brilliance.swift.mt2mx.camt053001;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.swift.mt2mx.AbstractMt2MxParseField;

import java.util.Map;

public abstract class AbstractMt2MxCamt053001ParseField extends AbstractMt2MxParseField {

    protected Map<String, Object> appHdrMaps = null;

    protected Map<String, Object> grpHdrMaps = null;

    protected Map<String, Object> stmtMaps = null;

    @Override
    public void initJsonMaps() {
        super.initJsonMaps();
        appHdrMaps = (Map<String, Object>)jsonMaps.get("appHdr");
        Map<String, Object> bkToCstmrStmtMaps = (Map<String, Object>)jsonMaps.get("bkToCstmrStmt");
        grpHdrMaps = (Map<String, Object>)bkToCstmrStmtMaps.get("grpHdr");
        JSONArray stmtJsonArray = (JSONArray) bkToCstmrStmtMaps.get("stmt");
        stmtMaps = (Map<String, Object>)stmtJsonArray.get(0);
    }
}
