package com.brilliance.swift.mt2mx.camt054001;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.swift.mt2mx.AbstractMt2MxParseField;

import java.util.Map;

public abstract class AbstractMt2MxCamt054001ParseField extends AbstractMt2MxParseField {

    protected Map<String, Object> appHdrMaps = null;

    protected Map<String, Object> grpHdrMaps = null;

    protected Map<String, Object> ntfctnMaps = null;

    protected Map<String, Object> ntryMaps = null;

    protected Map<String, Object> ntryDtlsMaps = null;

    protected Map<String, Object> txDtlsMaps = null;

    @Override
    public void initJsonMaps() {
        super.initJsonMaps();
        appHdrMaps = (Map<String, Object>)jsonMaps.get("appHdr");
        Map<String, Object> bkToCstmrDbtCdtNtfctnMaps = (Map<String, Object>)jsonMaps.get("bkToCstmrDbtCdtNtfctn");
        grpHdrMaps = (Map<String, Object>)bkToCstmrDbtCdtNtfctnMaps.get("grpHdr");
        JSONArray ntfctnJsonArray = (JSONArray) bkToCstmrDbtCdtNtfctnMaps.get("ntfctn");
        ntfctnMaps = (Map<String, Object>)ntfctnJsonArray.get(0);
        JSONArray ntryJsonArray = (JSONArray)ntfctnMaps.get("ntry");
        ntryMaps = (Map<String, Object>) ntryJsonArray.get(0);
        JSONArray ntryDtlsJsonArray = (JSONArray) ntryMaps.get("ntryDtls");
        ntryDtlsMaps = (Map<String, Object>) ntryDtlsJsonArray.get(0);
        JSONArray txDtlsJsonArray = (JSONArray) ntryDtlsMaps.get("txDtls");
        txDtlsMaps = (Map<String, Object>) txDtlsJsonArray.get(0);
    }
}
