package com.brilliance.swift.mt2mx.camt057001.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.camt057001.AbstractMt2MxCamt057001ParseField;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.field.Field25;
import com.prowidesoftware.swift.model.mt.AbstractMT;

import java.util.HashMap;
import java.util.Map;
//账号信息
public class Camt057001Parse25Field extends AbstractMt2MxCamt057001ParseField {

    private static final String NAME = "25";

    @Override
    public void parseField() throws SwiftException {
        AbstractMT abstractMT = context.get(AbstractMT.class);
        Tag tag25 = abstractMT.getSwiftMessage().getBlock4().getTagByName(NAME);
        if(tag25!=null){
            Field25 field25 = (Field25) tag25.asField();
            Map<String, Object> acctMaps = null;
            if (ntfctnMaps.containsKey("acct")) {
                acctMaps = (Map<String, Object>) ntfctnMaps.get("acct");
            } else {
                acctMaps = new HashMap<>();
                ntfctnMaps.put("acct",acctMaps);
            }
            mt_to_mxAccount35(field25.getValue(),acctMaps,"Ntfctn/Acct/Id/Othr/Id");
        }
    }
}
