package com.brilliance.swift.mt2mx.camt060001.impl;

import com.brilliance.swift.mt2mx.camt060001.AbstractMt2MxCamt060001ParseField;
import com.prowidesoftware.swift.model.Tag;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class Camt060001Parse12Field extends AbstractMt2MxCamt060001ParseField {

    private static final String NAME = "12";

    private int index = -1; //存在多个域循环, 表示xml节点的下标.

    public Camt060001Parse12Field(int index) {
        this.index = index;
    }

    @Override
    public void parseField() {
        List<Tag> tags = list.get(index);
        if (tags != null && tags.size() > 0) {
            Tag tag = null;
            for (int i=0; i<tags.size(); i++) {
                if (NAME.equals(tags.get(i).getName())) {
                    tag = tags.get(i);
                    break;
                }
            }
            if (tag != null) {
                Map<String, Object> rptgReqMaps = null;
                if (rptgReqJsonArray.size() == (index+1)) {
                    rptgReqMaps = (Map<String, Object>)rptgReqJsonArray.get(index);
                } else {
                    rptgReqMaps = new HashMap<>();
                    rptgReqJsonArray.add(rptgReqMaps);
                }
                rptgReqMaps.put("reqdMsgNmId", "MT"+tag.getValue());
            }
        }
    }
}
