package com.brilliance.swift.mt2mx.pacs002001;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.swift.mt2mx.AbstractMt2MxParseField;

import java.util.Map;

public abstract class AbstractMt2MxPacs002001ParseField extends AbstractMt2MxParseField {

    protected Map<String, Object> appHdrMaps = null;

    protected Map<String, Object> grpHdrMaps = null;

    protected Map<String, Object> txInfAndStsMaps = null;

    @Override
    public void initJsonMaps() {
        super.initJsonMaps();
        appHdrMaps = (Map<String, Object>)jsonMaps.get("appHdr");
        Map<String, Object> fiToFIPmtStsRptMaps = (Map<String, Object>)jsonMaps.get("fiToFIPmtStsRpt");
        grpHdrMaps = (Map<String, Object>)fiToFIPmtStsRptMaps.get("grpHdr");
        JSONArray txInfAndStsJsonArray = (JSONArray) fiToFIPmtStsRptMaps.get("txInfAndSts");
        txInfAndStsMaps = (Map<String, Object>)txInfAndStsJsonArray.get(0);
    }
}
