package com.brilliance.swift.mt2mx.pacs002001.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.pacs002001.AbstractMt2MxPacs002001ParseField;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.mt.AbstractMT;

public class Pacs002001Parse20Field extends AbstractMt2MxPacs002001ParseField {

    private static final String NAME = "20";

    @Override
    public void parseField() throws SwiftException {
        AbstractMT abstractMT = context.get(AbstractMT.class);
        Tag tag20 = abstractMT.getSwiftMessage().getBlock4().getTagByName(NAME);
        if (tag20 != null) {
            grpHdrMaps.put("msgId", tag20.getValue());
            appHdrMaps.put("bizMsgIdr", tag20.getValue());
        }
    }
}
