package com.brilliance.swift.mt2mx.pacs004001.mt103retn;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.pacs004001.AbstractMt2MxPacs004001ParseField;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.mt.AbstractMT;

public class Pacs004001Parse20Field extends AbstractMt2MxPacs004001ParseField {

    private static final String NAME = "20";

    @Override
    public void parseField() throws SwiftException {
        AbstractMT abstractMT = context.get(AbstractMT.class);
        Tag tag20 = abstractMT.getSwiftMessage().getBlock4().getTagByName(NAME);
        if (tag20 != null) {
            appHdrMaps.put("bizMsgIdr", tag20.getValue());
            grpHdrMaps.put("msgId", tag20.getValue());
            txInfMaps.put("rtrId", tag20.getValue());
        }
    }
}
