package com.brilliance.swift.mx2mt;

import java.util.HashMap;
import java.util.Map;

/**
 *  Mx报文转Mt报文的监听类
 * 用于记录转换过程中使用的xml path
 */
public class Mx2MtListener {

    private Map<String, Boolean> maps = new HashMap<>();

    public Map<String, Boolean> getMaps() {
        return maps;
    }

    public void setMaps(Map<String, Boolean> maps) {
        this.maps = maps;
    }

    /**
     * 将监听到的路径flag置为TRUE
     * @param usedPath
     */
    public void process(String usedPath) {
        usedPath = usedPath.replace("(0)", ""); //第一条的数据不带下标
        if (!maps.containsKey(usedPath)) {
            maps.put(usedPath, true);
        }
    }
}
