package com.brilliance.swift.mx2mt.mt202cov202.impl.cov;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.brilliance.swift.mx2mt.Mx2MtContextIdentifier;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;

public class Field57AGenerate extends AbstractMx2MtTagsGenerate {


    private static String name_A = "57A";

    private static String name_D = "57D";

    private static String name = "57";

    @Override
    public void tagGenerate() throws SwiftException {
        context.set(Mx2MtContextIdentifier.MX_TO_MT_ERROR_LOCATION, "Block4/SequenceB/57a");
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        String agentPath = bodyHdrParentElementName + ".CdtTrfTxInf.UndrlygCstmrCdtTrf.CdtrAgt";
        String accountPath = bodyHdrParentElementName + ".CdtTrfTxInf.UndrlygCstmrCdtTrf.CdtrAgtAcct";
        Tag tag = mx_to_mtAgentGeneric(name, agentPath, accountPath, true, true, false, null);
        if (tag != null) {
            if (name_D.equals(tag.getName())) {
                String value = mx_to_mtStartingLineCharacter(tag.getValue(), "Block4/SequenceB/:"+name_D+":");
                tag.setValue(value);
            }
            tags.add(tag);
        }
    }
}

