package com.brilliance.swift.mx2mt.mt900910.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.brilliance.swift.util.StringUtil;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;

public class Field72Generate extends AbstractMx2MtTagsGenerate {

    private static String name = "72";

    @Override
    public void tagGenerate() throws SwiftException {
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        String additionalTxnInf = getXmlNodeValue(bodyHdrParentElementName, document, "Ntfctn.Ntry.NtryDtls.TxDtls.AddtlTxInf");
        if (StringUtil.isNotEmpty(additionalTxnInf)) {
            if (additionalTxnInf.length() > 210) {
                buildSTErrorInfo(12, "Block4/:72:", additionalTxnInf);
                additionalTxnInf = additionalTxnInf.substring(0, 209) + "+";
            }
            String value = StringUtil.getStringByEnter(additionalTxnInf, 35, 6);
            value = mx_to_mtStartingLineCharacter(value, "Block4/:72:");
            tags.add(new Tag(name, value));
        }
    }
}
