package com.brilliance.swift.swiftdto2mt.mt103.impl;

import com.brilliance.swift.constants.Mx2MtConstants;
import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.swiftdto2mt.AbstractSwiftDto2MtTagGenerate;
import com.brilliance.swift.swiftdto2mt.SwiftDto2MtContextIdentifier;
import com.brilliance.swift.vo.VoCustomerCreditTransfer;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;

public class Tag77BGenerate extends AbstractSwiftDto2MtTagGenerate {

    private String name = "77B";

    @Override
    public void tagGenerate() throws SwiftException {
        VoCustomerCreditTransfer customerCreditTransfer = (VoCustomerCreditTransfer)context.get(SwiftDto2MtContextIdentifier.SWIFT_DTO_OBJ, true);
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<String> regulatoryReportingList = customerCreditTransfer.getRegulatoryReportingList();
        if (regulatoryReportingList.size() > 0) {
            List<Tag> tags = swiftMessage.getBlock4().getTags();
            String value = "";
            for (int i=0; i<regulatoryReportingList.size(); i++) {
                if (i == 3) break;
                if (i == 0) {
                    value += regulatoryReportingList.get(i);
                } else {
                    value += Mx2MtConstants.NEW_LINE + regulatoryReportingList.get(i);
                }
            }
            tags.add(new Tag(name, value));
        }
    }
}

