package com.brilliance.swift.vo;

import java.util.ArrayList;
import java.util.List;

/*
* 报文转换报告
* 1.转换过程中涉及的报文错误警告信息
* 2.目标报文
 */
public class SwiftTranslationReport {

    private List<SwiftTranslationErrorInfo> errorInfos;

    private String message;

    private String translationResult;

    private String mxType;

    private String mtType;

    public List<SwiftTranslationErrorInfo> getErrorInfos() {
        if (errorInfos == null) {
            errorInfos = new ArrayList<>();
        }
        return errorInfos;
    }

    public void addErrorInfo(SwiftTranslationErrorInfo errorInfo) {
        getErrorInfos().add(errorInfo);
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getTranslationResult() {
        return translationResult;
    }

    public void setTranslationResult(String translationResult) {
        this.translationResult = translationResult;
    }

    public String getMxType() {
        return mxType;
    }

    public void setMxType(String mxType) {
        this.mxType = mxType;
    }

    public String getMtType() {
        return mtType;
    }

    public void setMtType(String mtType) {
        this.mtType = mtType;
    }
}
