package com.brilliance.swift.vo.common;

public enum BalanceSubTypeCode {

    ADJT("Adjustment"),
    BCUR("BaseCurrency"),
    BLCK("Blocked"),
    BLKD("BlockedFunds"),
    DLOD("DaylightOverdraft"),
    EAST("EligibleAssets"),
    FCOL("FirmCollateralization"),
    FCOU("AmountsThatHaveBeenUsedToServeAsFirmCollateral"),
    FORC("SecuritiesForecast"),
    FUND("NetFunding"),
    INTM("Intermediate"),
    LCUR("LocalCurrency"),
    LRLD("LimitRelated"),
    NOTE("ReservedLiquidity"),
    PDNG("SecuritiesPending"),
    PIPO("PayInPayOut"),
    PRAV("ProgressiveAverage"),
    RESV("Reserve"),
    SCOL("SelfCollateralization"),
    SCOU("AmountsThatHaveBeenUsedToServeAsSelfCollateral"),
    THRE("Threshold");

    BalanceSubTypeCode(String s) {}
    public String value() {
        return name();
    }
}
