package com.brilliance.swift.vo.common;

public enum CategoryPurposeCode {

    BONU("BonusPayment"),
    CASH("CashManagementTransfer"),
    CBLK("CardBulkClearing"),
    CCRD("CreditCardPayment"),
    CORT("TradeSettlementPayment"),
    DCRD("DebitCardPayment"),
    DIVI("Dividend"),
    DVPM("DeliverAgainstPayment"),
    EPAY("Epayment"),
    FCIN("FeeCollectionAndInterest"),
    FCOL("FeeCollection"),
    GP2P("PersontoPersonPayment"),
    GOVT("GovernmentPayment"),
    HEDG("Hedging"),
    ICCP("IrrevocableCreditCardPayment"),
    IDCP("IrrevocableDebitCardPayment"),
    INTC("IntraCompanyPayment"),
    INTE("Interest"),
    LBOX("LockboxTransactions"),
    LOAN("Loan"),
    MP2B("Commercial"),
    MP2P("Consumer"),
    OTHR("OtherPayment"),
    PENS("PensionPayment"),
    RPRE("Represented"),
    RRCT("ReimbursementReceivedCreditTransfer"),
    RVPM("ReceiveAgainstPayment"),
    SALA("SalaryPayment"),
    SECU("Securities"),
    SSBE("SocialSecurityBenefit"),
    SUPP("SupplierPayment"),
    TAXS("TaxPayment"),
    TRAD("Trade"),
    TREA("TreasuryPayment"),
    VATX("ValueAddedTaxPayment"),
    WHLD("WithHolding"),
    SWEP("CashManagementSweepAccount"),
    TOPG("CashManagementTopAccount"),
    ZABA("CashManagementZeroBalanceAccount");

    CategoryPurposeCode(String s) {}

    public String value() {
        return name();
    }

}
