package com.brilliance.swift.vo.common;


public enum LocalInstrumentCode {

    DDMC("DirectDebitConfirmedElectronicMandate"),
    DDMP("DirectDebitPaperMandateWithPaperAuthorization"),
    DDMU("DirectDebitUnconfirmedElectronicMandate"),
    BPA("BatchPaymentsAruba"),
    IPA("InstantPaymentsAruba"),
    TRF("CreditTransfers"),
    _82("NonPreauthorisedDirectDebitAT"),
    _83("PreauthorisedDirectDebitAT"),
    CPP("CashPerPost"),
    RTR("ReturnedCreditTransfers"),
    GST("TruncatedCreditTransfers"),
    DDT("DirectDebits"),
    RDD("ReturnedDirectDebits"),
    CHN("TruncatedChecks"),
    STR("RevokedCreditTransfers"),
    SDD("RevokedDirectDebits"),
    SRT("RevokedReturnedCreditTransfers"),
    SRD("RevokedReturnedDirectDebits"),
    SCN("RevokedTruncatedChecks"),
    SGT("RevokedTruncatedCreditTransfers"),
    CARD("CardClearing"),
    _05("NonPreauthorisedDirectDebitDE"),
    _04("PreauthorisedDirectDebitDE"),
    ISE("ImageBasedChequeCollection"),
    BSE("PaperlessChequeCollection"),
    _58("BusinessToBusinessDirectDebit"),
    _19("BusinessToCustomerDirectDebit"),
    ASTI("AncillarySystemTransferInitiation"),
    BACP("BackupPayment"),
    MANP("MandatedPayment"),
    SBTI("SettlementBankTransferInitiation"),
    _85("PreauthorisedDirectDebitAccéléréAcceleratedClearing2DayOrdinaireNormalClearing4Day"),
    _08("PreauthorisedDirectDebitOrdinaireNormalClearing4Day"),
    _89("PreauthorisedDirectDebitVérifiéVerifiedClearing"),
    _60("RecoveredBillofExchangeorPromissoryNote"),
    RIBA("NonPreauthorisedDirectDebitRIBA"),
    RIDO("PreauthorisedRevocableDirectDebit"),
    RIDV("PreauthorisedRevocableUrgentDirectDebit"),
    IDEAL("PaymentsViaInternetOwnedByCurrence"),
    INSTNT01("InstantCreditTransferNotTimeCritical"),
    INSTTC01("InstantCreditTransferTimeCritical"),
    INSTIDEAL("PaymentsViaInternetOwnedByCurrenceUsingInstantCreditTransfer"),
    INSTNT01IDEAL("PaymentsViaInternetOwnedByCurrenceUsingInstantCreditTransferNotTimeCritical"),
    INSTTC01IDEAL("PaymentsViaInternetOwnedByCurrenceUsingInstantCreditTransferTimeCritical"),
    NLDO("DutchDomesticBulkPayment"),
    NLUP("DutchUrgentPayment"),
    SDN("PaymentsViaStandaardDigitaleNota"),
    ACCEPT("PaymentViaAcceptgiroOwnedByCurrence"),
    ICMC("IncidentManagementCorrection"),
    NLGOV("DirectDebitInitiatedByTheGovernmentWithSpecialConditions"),
    _0090("MassPaymentBeneficiary"),
    _0091("MassPaymentOurs"),
    _0092("MassPaymentShared"),
    _0002("StandingOrder"),
    _0221("OneOffAuthorisation"),
    _0224("OneOffAuthorisationCharities"),
    _0226("OneOffAuthorisationConstructionIndustry"),
    _0225("OneOffAuthorisationTuitionFees"),
    _0222("StandingAuthorisationCompanies"),
    _0227("StandingAuthorisationCompaniesWithoutDebtorRevocationRight"),
    _0220("StandingAuthorisationGeneral"),
    _0223("StandingAuthorisationLotteries"),
    _0001("ConvertedBankPayment"),
    _0000("BusinessPayment"),
    IN("CrossBorderCustomerCreditTransfer"),
    ONCL("Overnight"),
    PERI("PaymentWithERI"),
    SDCL("SameDayClearedPayments"),
    DDNR("CoreNoRefund"),
    DDFA("DirectDebitFixedAmount"),
    CORE("SEPADirectDebitCore"),
    B2BAMIPM("SEPAB2BDirectDebitAMI"),
    B2B("SEPABusinessToBusinessDirectDebit"),
    CR1AMIPM("SEPACoreD1DirectDebitAMI"),
    CORAMIPM("SEPACoreDirectDebitAMI"),
    COR1("SEPADirectDebit1DaySettlement"),
    FADAMIPM("SEPAFADirectDebitAMI"),
    CLSCCPERX("CLSClearedFXForEurex"),
    CLSCCPLCH("CLSClearedFXForLCH"),
    INST("InstantCreditTransfer"),
    ADD("AuthenticatedDirectDebit"),
    UDD("UnauthenticatedDirectDebit"),
    CCI("CashConcentrationIntragroup"),
    BTR("BankTransfer"),
    CKS("CheckSameDaySettlementWire"),
    CTR("CustomerTransfer"),
    CTP("CustomerTransferPlus"),
    DEP("DepositToSendersAccount"),
    FFR("FedFundsReturned"),
    FFS("FedFundsSold"),
    SVC("NonValueServiceMessage"),
    DRW("DrawdownResponseValueToHonorADrawdownRequest"),
    DRB("BankToBankDrawdownRequestOrResponseNonvalue"),
    DRC("CustomerOrCorporateDrawdownRequestOrResponseNonvalue"),
    IAT("InternationalACH"),
    CCD("CashConcentrationOrDisbursementCorporateCounterparty"),
    CTX("CorporateTradeExchange"),
    PPD("PrearrangedPaymentOrDepositConsumerCounterparty"),
    CIE("CustomerInitiatedEntry"),
    RCK("RepresentedCheckEntry"),
    ARC("AccountsReceivableCheck"),
    WEB("InternetInitiatedEntry"),
    POP("PointOfPurchase"),
    POS("PointOfSale"),
    TEL("TelephoneInitiatedEntry"),
    ITP("InstantCreditTransferPreferred");
    //CTP("CreditTransferPreferred");


    LocalInstrumentCode(String s) {}

    public String value() {
        return name();
    }
}
