package com.brilliance.swift.vo.common;

public enum TranslationResultCode {

    TRNK("Failure to translate"),
    TRFR("Truncation or character replacement occurred in reference fields present in the MT"),
    TRNR("Truncation or character replacement occurred in non-reference fields"),
    TRAK("Translation Almost OK"),
    TROK("Success where the full ISO 20022 message is translated");

    TranslationResultCode(String s) {}
    public String value() {
        return name();
    }
}
