
package com.prowidesoftware.swift.model.mx.sys.dic;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SwitchType1Code.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="SwitchType1Code"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="FULL"/&gt;
 *     &lt;enumeration value="PART"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "SwitchType1Code")
@XmlEnum
public enum SwitchType1Code {


    /**
     * Indicates a full switch for an account.
     * 
     */
    FULL,

    /**
     * Indicates a partial switch for an account.
     * 
     */
    PART;

    public String value() {
        return name();
    }

    public static SwitchType1Code fromValue(String v) {
        return valueOf(v);
    }

}
