package com.brilliance.swift.element2mx.pacs009001;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.swift.element2mx.AbstractElement2MxCreator;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class Element2MxPacs009001Creator extends AbstractElement2MxCreator {

    @Override
    protected boolean isArray(String key) {
        if ("cdtTrfTxInf".equals(key) || "orgId.othr".equals(key)
                || "prvtId.othr".equals(key) || "finInstnId.othr".equals(key)) {
            return true;
        }
        return false;
    }

    public void buildStrdAddtlRmtInf(HashMap<String,Object> maps, Object obj) {
        List<Object> objList = (List<Object>)obj;
        JSONArray sourceJsonArray = new JSONArray();
        JSONArray jsonArray = (JSONArray)objList.get(0);
        List<String> list1 = null;
        for (int i=0; i<jsonArray.size(); i++) {
            if (i % 3 == 0) {
                list1 = new ArrayList<>();
                Map<String, Object> map = new HashMap<>();
                map.put("addtlRmtInf", list1);
                sourceJsonArray.add(map);
            }
            list1.add((String) jsonArray.get(i));
        }
        putObj(maps, "rmtInf.strd", sourceJsonArray);
    }

    @Override
    public void postProcess() {
        putObj(jsonMaps, "fiCdtTrf.grpHdr.nbOfTxs", 1);
        super.postProcess();
    }
}
