package com.brilliance.swift.mt2mx.camt029001;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.swift.mt2mx.AbstractMt2MxParseField;

import java.util.Map;

public abstract class AbstractMt2MxCamt029001ParseField extends AbstractMt2MxParseField {

    protected Map<String, Object> appHdrMaps = null;

    protected Map<String, Object> assgnmtMaps = null;

    protected Map<String, Object> cxlDtlsMaps = null;

    protected Map<String, Object> stsMaps = null;

    protected Map<String, Object> txInfAndStsMaps = null;

    @Override
    public void initJsonMaps() {
        super.initJsonMaps();
        appHdrMaps = (Map<String, Object>)jsonMaps.get("appHdr");
        Map<String, Object> rsltnOfInvstgtnMaps = (Map<String, Object>)jsonMaps.get("rsltnOfInvstgtn");
        assgnmtMaps = (Map<String, Object>)rsltnOfInvstgtnMaps.get("assgnmt");
        stsMaps = (Map<String, Object>)rsltnOfInvstgtnMaps.get("sts");
        JSONArray cxlDtlsJsonArray = (JSONArray) rsltnOfInvstgtnMaps.get("cxlDtls");
        cxlDtlsMaps = (Map<String, Object>)cxlDtlsJsonArray.get(0);
        JSONArray txInfAndStsJsonArray = (JSONArray)cxlDtlsMaps.get("txInfAndSts");
        txInfAndStsMaps = (Map<String, Object>) txInfAndStsJsonArray.get(0);
    }
}
