package com.brilliance.swift.mt2mx.camt052001;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.swift.mt2mx.AbstractMt2MxParseField;

import java.util.Map;

public abstract class AbstractMt2MxCamt052001ParseField extends AbstractMt2MxParseField {

    protected Map<String, Object> appHdrMaps = null;

    protected Map<String, Object> grpHdrMaps = null;

    protected Map<String, Object> rptMaps = null;

    @Override
    public void initJsonMaps() {
        super.initJsonMaps();
        appHdrMaps = (Map<String, Object>)jsonMaps.get("appHdr");
        Map<String, Object> bkToCstmrAcctRptMaps = (Map<String, Object>)jsonMaps.get("bkToCstmrAcctRpt");
        grpHdrMaps = (Map<String, Object>)bkToCstmrAcctRptMaps.get("grpHdr");
        JSONArray rptJsonArray = (JSONArray) bkToCstmrAcctRptMaps.get("rpt");
        rptMaps = (Map<String, Object>)rptJsonArray.get(0);
    }
}
