package com.brilliance.swift.mt2mx.camt053001.impl;

import com.brilliance.swift.constants.Mx2MtConstants;
import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.camt053001.AbstractMt2MxCamt053001ParseField;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.field.Field86;
import com.prowidesoftware.swift.model.mt.AbstractMT;

import java.util.List;
//附加说明
public class Camt053001Parse86Field extends AbstractMt2MxCamt053001ParseField {

    private static final String NAME = "86";

    @Override
    public void parseField() throws SwiftException {
        AbstractMT abstractMT = context.get(AbstractMT.class);
        if("950".equals(abstractMT.getMessageType())){
            return;
        }
        Tag[] tag86 = abstractMT.getSwiftMessage().getBlock4().getTagsByName(NAME);
        List<Tag> tags = abstractMT.getSwiftMessage().getBlock4().getTags();
        if (tags != null) {
            for (int i = 1;i < tags.size(); i++) {
                if(!tags.get(i-1).getName().equals("61")&&tags.get(i).getName().equals("86")){
                    Field86 field86 = (Field86) tag86[tag86.length-1].asField();
                    stmtMaps.put("addtlStmtInf",field86.getValue().replace(Mx2MtConstants.NEW_LINE,""));
                }
            }
        }
    }
}
