package com.brilliance.swift.mt2mx.camt054001.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.camt054001.AbstractMt2MxCamt054001ParseField;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.mt.AbstractMT;

import java.util.HashMap;
import java.util.Map;
//这个域是将业务编号存入map集合中
public class Camt054001Parse21Field extends AbstractMt2MxCamt054001ParseField {

    private static final String NAME = "21";

    @Override
    public void parseField() throws SwiftException {
        AbstractMT abstractMT = context.get(AbstractMT.class);
        Tag tag21 = abstractMT.getSwiftMessage().getBlock4().getTagByName(NAME);
        if (tag21 != null) {
            Map<String, Object> refsMaps = null;
            if(txDtlsMaps.containsKey("refs")){
                refsMaps = (Map<String, Object>)txDtlsMaps.get("refs");
            }else {
                refsMaps = new HashMap<>();
                txDtlsMaps.put("refs",refsMaps);
            }
            refsMaps.put("endToEndId",tag21.getValue());
            refsMaps.put("instrId",tag21.getValue());
        }
    }
}
