package com.brilliance.swift.mt2mx.camt056001;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.swift.mt2mx.AbstractMt2MxParseField;

import java.util.Map;

public abstract class AbstractMt2MxCamt056001ParseField extends AbstractMt2MxParseField {

    protected Map<String, Object> appHdrMaps = null;

    protected Map<String, Object> assgnmtMaps = null;

    protected Map<String, Object> undrlygMaps = null;

    protected Map<String, Object> txInfMaps = null;

    @Override
    public void initJsonMaps() {
        super.initJsonMaps();
        appHdrMaps = (Map<String, Object>) jsonMaps.get("appHdr");
        Map<String, Object> fiToFIPmtCxlReqMaps = (Map<String, Object>) jsonMaps.get("fiToFIPmtCxlReq");
        assgnmtMaps = (Map<String, Object>) fiToFIPmtCxlReqMaps.get("assgnmt");
        JSONArray undrlygJsonArray = (JSONArray) fiToFIPmtCxlReqMaps.get("undrlyg");
        undrlygMaps = (Map<String, Object>) undrlygJsonArray.get(0);
        JSONArray txInfJsonArray = (JSONArray) undrlygMaps.get("txInf");
        txInfMaps = (Map<String, Object>) txInfJsonArray.get(0);
    }
}
