package com.brilliance.swift.mt2mx.camt057001;

import com.brilliance.swift.mt2mx.AbstractMt2MxParseField;

import java.util.Map;

public abstract class AbstractMt2MxCamt057001ParseField extends AbstractMt2MxParseField {

    protected Map<String, Object> appHdrMaps = null;

    protected Map<String, Object> grpHdrMaps = null;

    protected Map<String, Object> ntfctnMaps = null;

    @Override
    public void initJsonMaps() {
        super.initJsonMaps();
        appHdrMaps = (Map<String, Object>)jsonMaps.get("appHdr");
        Map<String, Object> ntfctnToRcvMaps = (Map<String, Object>)jsonMaps.get("ntfctnToRcv");
        grpHdrMaps = (Map<String, Object>)ntfctnToRcvMaps.get("grpHdr");
        ntfctnMaps = (Map<String, Object>)ntfctnToRcvMaps.get("ntfctn");
    }
}
