package com.brilliance.swift.mt2mx.camt057001.impl;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.camt057001.AbstractMt2MxCamt057001ParseField;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.field.Field21;
import com.prowidesoftware.swift.model.mt.AbstractMT;

import java.util.HashMap;
import java.util.Map;
//这个域是将业务编号存入map集合中
public class Camt057001Parse21Field extends AbstractMt2MxCamt057001ParseField {

    private static final String NAME = "21";

    @Override
    public void parseField() throws SwiftException {
        AbstractMT abstractMT = context.get(AbstractMT.class);
        Tag tag21 = abstractMT.getSwiftMessage().getBlock4().getTagByName(NAME);
        if (tag21 != null) {
            Field21 field21 = (Field21) tag21.asField();
            Map<String, Object> itmMaps = null;
            JSONArray itmJsonArray = null;
            if(ntfctnMaps.containsKey("itm")){
                itmJsonArray = (JSONArray) ntfctnMaps.get("itm");
                itmMaps = (Map<String, Object>)itmJsonArray.get(0);
            }else {
                itmJsonArray = new JSONArray();
                itmMaps = new HashMap<>();
                ntfctnMaps.put("itm",itmJsonArray);
                itmJsonArray.add(itmMaps);
            }
            itmMaps.put("id",field21.getValue());
            itmMaps.put("endToEndId",field21.getValue());
        }
    }
}
