package com.brilliance.swift.mt2mx.camt060001;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.swift.mt2mx.AbstractMt2MxParseField;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.mt.AbstractMT;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public abstract class AbstractMt2MxCamt060001ParseField extends AbstractMt2MxParseField {

    protected Map<String, Object> appHdrMaps = null;

    protected Map<String, Object> grpHdrMaps = null;

    protected JSONArray rptgReqJsonArray = null;

    protected List<List<Tag>> list = new ArrayList<>();

    @Override
    public void initJsonMaps() {
        super.initJsonMaps();
        appHdrMaps = (Map<String, Object>)jsonMaps.get("appHdr");
        Map<String, Object> acctRptgReqMaps = (Map<String, Object>)jsonMaps.get("acctRptgReq");
        grpHdrMaps = (Map<String, Object>)acctRptgReqMaps.get("grpHdr");
        rptgReqJsonArray = (JSONArray) acctRptgReqMaps.get("rptgReq");

        List<Tag> tags = null;
        List<Tag> tagList = context.get(AbstractMT.class).getSwiftMessage().getBlock4().getTags();
        for (int i=0; i<tagList.size(); i++) {
            Tag tag = tagList.get(i);
            if ("12".equals(tag.getName())) {
                tags = new ArrayList<>();
                tags.add(tag);
                list.add(tags);
            } else if (tags != null){
                tags.add(tag);
            }
        }
    }
}
