package com.brilliance.swift.mt2mx.camt060001.impl;

import com.brilliance.swift.mt2mx.camt060001.AbstractMt2MxCamt060001ParseField;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.mt.AbstractMT;

public class Camt060001Parse20Field extends AbstractMt2MxCamt060001ParseField {

    private static final String NAME = "20";

    @Override
    public void parseField() {
        AbstractMT abstractMT = context.get(AbstractMT.class);
        Tag tag20 = abstractMT.getSwiftMessage().getBlock4().getTagByName(NAME);
        if (tag20 != null) {
            grpHdrMaps.put("msgId", tag20.getValue());
            appHdrMaps.put("bizMsgIdr", tag20.getValue());
        }
    }
}
