package com.brilliance.swift.mt2mx.pacs004001;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.swift.mt2mx.AbstractMt2MxParseField;

import java.util.Map;

public abstract class AbstractMt2MxPacs004001ParseField extends AbstractMt2MxParseField {

    protected Map<String, Object> appHdrMaps = null;

    protected Map<String, Object> grpHdrMaps = null;

    protected Map<String, Object> txInfMaps = null;

    @Override
    public void initJsonMaps() {
        super.initJsonMaps();
        appHdrMaps = (Map<String, Object>)jsonMaps.get("appHdr");
        Map<String, Object> pmtRtrMaps = (Map<String, Object>)jsonMaps.get("pmtRtr");
        grpHdrMaps = (Map<String, Object>)pmtRtrMaps.get("grpHdr");
        JSONArray txInfJsonArray = (JSONArray) pmtRtrMaps.get("txInf");
        txInfMaps = (Map<String, Object>)txInfJsonArray.get(0);
    }
}
