package com.brilliance.swift.mt2mx.setlmtd.impl;

import com.brilliance.swift.constants.ERROR;
import com.brilliance.swift.constants.Mx2MtConstants;
import com.brilliance.swift.mt2mx.setlmtd.AbstractSettlementMethodAnalyzer;
import com.brilliance.swift.vo.VoSettlementMethodHelper;
import com.prowidesoftware.swift.model.mt.AbstractMT;

public class FieldOnly54BAnalyzer extends AbstractSettlementMethodAnalyzer {
    @Override
    public VoSettlementMethodHelper analyse() {
        VoSettlementMethodHelper seltMtdHelper = new VoSettlementMethodHelper();
        AbstractMT abstractMT = context.get(AbstractMT.class);
        if (abstractMT.getSwiftMessage().isCOV() || Mx2MtConstants.YES.equals(returnFlag)) {
            seltMtdHelper.setSettlementMethod("INDA");
            buildSTErrorInfo(ERROR.T20023, "Block4/:54B:", null);
        } else {
            seltMtdHelper.setSettlementMethod("COVE");
            seltMtdHelper.setTranslate54Flag(true);
        }
        return seltMtdHelper;
    }
}
