package com.brilliance.swift.mx2mt.mt202Retn.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.brilliance.swift.mx2mt.Mx2MtContextIdentifier;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;

/**
 */
public class Field58AGenerate extends AbstractMx2MtTagsGenerate {


    private static String name_A = "58A";

    private static String name_D = "58D";

    private static String name = "58";

    @Override
    public void tagGenerate() throws SwiftException {
        context.set(Mx2MtContextIdentifier.MX_TO_MT_ERROR_LOCATION, "Block4/58a");
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        String agentPath = bodyHdrParentElementName + ".TxInf.RtrChain.Cdtr.Agt";
        String partyPath = bodyHdrParentElementName + ".TxInf.RtrChain.Cdtr.Pty";
        int partyCount = getXmlNodeCounts(null, document, partyPath);
        int agentCount = getXmlNodeCounts(null, document, agentPath);
        if (partyCount > 0 && agentCount == 0) {
            buildSTErrorInfo(61, "Block4/58a", null);
            return;
        }
        Tag tag = mx_to_mtAgentGeneric(name, agentPath, null, false, false, false , null);
        if (tag != null) {
            if (name_D.equals(tag.getName())) {
                String value = mx_to_mtStartingLineCharacter(tag.getValue(), "Block4/:"+name_D+":");
                tag.setValue(value);
            }
            tags.add(tag);
        }
    }
}

