package com.brilliance.swift.mx2mt.mt202cov202.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.brilliance.swift.mx2mt.Mx2MtContextIdentifier;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;

/**
 */
public class Field56AGenerate extends AbstractMx2MtTagsGenerate {

    private static String name_D = "56D";

    private static String name = "56";

    @Override
    public void tagGenerate() throws SwiftException {
        context.set(Mx2MtContextIdentifier.MX_TO_MT_ERROR_LOCATION, "Block4/56a");
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        String agentPath = bodyHdrParentElementName + ".CdtTrfTxInf.IntrmyAgt1";
        String accountPath = bodyHdrParentElementName + ".CdtTrfTxInf.IntrmyAgt1Acct";
        String clearingChannelPath = bodyHdrParentElementName + ".CdtTrfTxInf.PmtTpInf.ClrChanl";
        Tag tag = mx_to_mtAgentGeneric(name, agentPath, accountPath,
                false, false, true, clearingChannelPath);
        if (tag != null) {
            if (name_D.equals(tag.getName())) {
                String value = mx_to_mtStartingLineCharacter(tag.getValue(), "Block4/:"+name_D+":");
                tag.setValue(value);
            }
            tags.add(tag);
        }
    }

}
