package com.brilliance.swift.mx2mt.mt210.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;

/**

 */
public class Field56aGenerate extends AbstractMx2MtTagsGenerate {

    private static String name_A = "56A";

    private static String name_D = "56D";

    private static String name_ = "56";

    @Override
    public void tagGenerate() throws SwiftException {
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        String agentPath = "";
        int agentCount = getXmlNodeCounts(null, document, bodyHdrParentElementName + ".Ntfctn.IntrmyAgt");
        if (agentCount > 0) {
            agentPath = bodyHdrParentElementName + ".Ntfctn.IntrmyAgt";
        } else {
            agentCount = getXmlNodeCounts(null, document, bodyHdrParentElementName + ".Ntfctn.Itm.IntrmyAgt");
            if (agentCount > 0) {
                agentPath = bodyHdrParentElementName + ".Ntfctn.Itm.IntrmyAgt";
            }
        }
        Tag tag = mx_to_mtAgentGeneric(name_, agentPath, null, false, false, false, null);
        if (tag != null) {
            if (name_D.equals(tag.getName())) {
                String value = mx_to_mtStartingLineCharacter(tag.getValue(), "Block4/:"+name_D+":");
                tag.setValue(value);
            }
            tags.add(tag);
        }
    }
}
