package com.brilliance.swift.mx2mt.mt940950.impl;

import com.brilliance.swift.constants.Mx2MtConstants;
import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2mt.AbstractMx2MtTagsGenerate;
import com.brilliance.swift.mx2mt.Mx2MtContextIdentifier;
import com.brilliance.swift.util.StringUtil;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;

import java.util.List;

/**
 *<Stmt><AddtlStmtInf>
 *
 */
public class Field86Generate extends AbstractMx2MtTagsGenerate {

    private static String name = "86";

    @Override
    public void tagGenerate() throws SwiftException {
        SwiftMessage swiftMessage = context.get(SwiftMessage.class);
        List<Tag> tags = swiftMessage.getBlock4().getTags();
        String addtlStmtInf = getXmlNodeValue(bodyHdrParentElementName, document, "Stmt.AddtlStmtInf");
        if (StringUtil.isNotEmpty(addtlStmtInf)) {
            if (addtlStmtInf.length() > 390) {
                buildSTErrorInfo(12, "Block4/86", addtlStmtInf);
                addtlStmtInf = addtlStmtInf.substring(0, 389) + "+";
            }
            String value = StringUtil.getStringByEnter(addtlStmtInf, 65, 6);
            value = mx_to_mtStartingLineCharacter(value, "Block4/86");
            tags.add(new Tag(name, value));
            context.set(Mx2MtContextIdentifier.MT_TYPE_940_FLAG, Mx2MtConstants.YES);
        }
    }



}
