package com.brilliance.swift.util;

import com.brilliance.swift.constants.ERROR;
import com.brilliance.swift.exception.SwiftException;

import java.net.URL;

public class UrlUtil {


    public static URL getCommonURL(String relativePath) {

        URL url = Thread.currentThread().getContextClassLoader().getResource(relativePath);
        if (url == null) {
            url = UrlUtil.class.getClassLoader().getResource(relativePath);
            if (url == null) {
                url = UrlUtil.class.getClassLoader().getResource("");
                try {
                    return new URL(url + relativePath);
                } catch (Exception e) {
                   throw  new SwiftException(ERROR.ERROR_0003,ERROR.ERROR_0003_DESC);
                }
            }
        }
        return url;


    }
}
