package com.brilliance.swift.vo;

import com.brilliance.swift.vo.common.CcyFormatAmount;
import com.brilliance.swift.vo.common.PartyAccount;
import com.brilliance.swift.vo.common.PartyDto;
import com.brilliance.swift.vo.common.TransactionReference;

import java.util.Date;

/**
 * @author zh
 * @create 2022-04-21 16:36
 */
public class BankToCustomerDebitCreditNotification extends SwiftDto{
    /**
     * CRDT -- MT910
     * DBIT -- MT900
     */
    protected String cdtDbtCode;

    protected TransactionReference txnRef;

    protected PartyAccount account;

    protected Date valueDate;

    protected CcyFormatAmount valueAmount;

    protected PartyDto debitParty;

    protected PartyDto debitAgtParty;

    protected PartyDto intrmyAgtParty;

    protected String addtlTxInf;

    public String getCdtDbtCode() {
        return cdtDbtCode;
    }

    public void setCdtDbtCode(String cdtDbtCode) {
        this.cdtDbtCode = cdtDbtCode;
    }

    public TransactionReference getTxnRef() {
        return txnRef;
    }

    public void setTxnRef(TransactionReference txnRef) {
        this.txnRef = txnRef;
    }

    public PartyAccount getAccount() {
        return account;
    }

    public void setAccount(PartyAccount account) {
        this.account = account;
    }

    public Date getValueDate() {
        return valueDate;
    }

    public void setValueDate(Date valueDate) {
        this.valueDate = valueDate;
    }

    public CcyFormatAmount getValueAmount() {
        return valueAmount;
    }

    public void setValueAmount(CcyFormatAmount valueAmount) {
        this.valueAmount = valueAmount;
    }

    public PartyDto getDebitParty() {
        return debitParty;
    }

    public void setDebitParty(PartyDto debitParty) {
        this.debitParty = debitParty;
    }

    public PartyDto getDebitAgtParty() {
        return debitAgtParty;
    }

    public void setDebitAgtParty(PartyDto debitAgtParty) {
        this.debitAgtParty = debitAgtParty;
    }

    public PartyDto getIntrmyAgtParty() {
        return intrmyAgtParty;
    }

    public void setIntrmyAgtParty(PartyDto intrmyAgtParty) {
        this.intrmyAgtParty = intrmyAgtParty;
    }

    public String getAddtlTxInf() {
        return addtlTxInf;
    }

    public void setAddtlTxInf(String addtlTxInf) {
        this.addtlTxInf = addtlTxInf;
    }

}
