package com.brilliance.swift.vo.common;

/**
 * BNK = SECU	CASH	BKFE
 * BRF = SECU	CASH	BROK
 * CAR =
 * CAS = SECU	CORP	CSLI
 * CHK = PMNT	ICHQ	CCHQ
 * CLR = PMNT	RCHQ	CASH
 * CMP = SECU	CASH	CLAI
 * CMS = CAMT	ACCB	SWEP
 * CMT = CAMT	ACCB	TOPG
 * CMZ = CAMT	ACCB	ZABA
 * DIS = SECU	CUST	CAPG
 * DIV = SECU	CUST	DVCA
 * EXT = SECU	NSET	OWNE
 * MAR = SECU	COLL	MARG
 * MAT = SECU	CORP	REDM
 * MGT = SECU	CASH	MNFE
 * ODC = SECU	CASH	OVCH
 * PRN = SECU	NSET	PRUD
 * REC = SECU	CORP	TREC
 * RED = ECU	CASH	GEN1
 * RIG = SECU	CORP	RHTS
 * SAL = SECU	CORP	ODLT
 * SLE =
 * STO = PMNT	ICDT	STDO
 * STP = SECU	CASH	STAM
 * SUB = SECU	NSET	SUBS
 * SWP = SECU	CASH	SWAP
 * TAX = SECU	CASH	WITH
 * TCK = PMNT	CNTR	TCDP
 * TCK = PMNT	CNTR	TCWD
 * TRA = SECU	SETT	OWNI
 * TRA = SECU	NSET	OWNI
 * TRN = SECU	CASH	TRFE
 * UWC = SECU	CASH	UNCO
 * WAR = SECU	CORP	EXWA
 * WAR = SECU	CUST	EXWA
 */
public class BankTransactionCodeStructure {

    private String domianCode;
    private String familyCode;
    private String subFamilyCode;
    private String code;
    private String issuer;

    public String getDomianCode() {
        return domianCode;
    }

    public void setDomianCode(String domianCode) {
        this.domianCode = domianCode;
    }

    public String getFamilyCode() {
        return familyCode;
    }

    public void setFamilyCode(String familyCode) {
        this.familyCode = familyCode;
    }

    public String getSubFamilyCode() {
        return subFamilyCode;
    }

    public void setSubFamilyCode(String subFamilyCode) {
        this.subFamilyCode = subFamilyCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getIssuer() {
        return issuer;
    }

    public void setIssuer(String issuer) {
        this.issuer = issuer;
    }
}
