package com.brilliance.swift.vo.common;

public enum MessagePriority {

    /**
     * Priority level is high.
     *
     */
    HIGH,

    /**
     * Priority level is normal.
     *
     */
    NORM;

    public String value() {
        return name();
    }

    public static MessagePriority fromValue(String v) {
        return valueOf(v);
    }
}
