package com.brilliance.swift.vo.common;

import java.util.ArrayList;
import java.util.List;

public class PartyDto {

    private String partyBic;

    private String partyName;

    private String partyId;

    private String partyIdType;

    private List<String> addressList;

    private PartyAccount partyAcct;

    private ClearingSystemMember clrSysMmb;

    public PartyDto() {
    }

    public String getPartyBic() {
        return partyBic;
    }

    public void setPartyBic(String partyBic) {
        this.partyBic = partyBic;
    }

    public String getPartyName() {
        return partyName;
    }

    public void setPartyName(String partyName) {
        this.partyName = partyName;
    }

    public String getPartyId() {
        return partyId;
    }

    public void setPartyId(String partyId) {
        this.partyId = partyId;
    }

    public String getPartyIdType() {
        return partyIdType;
    }

    public void setPartyIdType(String partyIdType) {
        this.partyIdType = partyIdType;
    }

    public List<String> getAddressList() {
        if (addressList == null) {
            addressList = new ArrayList<>();
        }
        return this.addressList;
    }

    public PartyDto addAddress(String address) {
        getAddressList().add(address);
        return this;
    }

    public PartyAccount getPartyAcct() {
        return partyAcct;
    }

    public void setPartyAcct(PartyAccount partyAcct) {
        this.partyAcct = partyAcct;
    }

    public ClearingSystemMember getClrSysMmb() {
        return clrSysMmb;
    }

    public void setClrSysMmb(ClearingSystemMember clrSysMmb) {
        this.clrSysMmb = clrSysMmb;
    }

    @Override
    public String toString() {
        return "PartyDto{" +
                "partyBic='" + partyBic + '\'' +
                ", partyName='" + partyName + '\'' +
                ", partyId='" + partyId + '\'' +
                ", partyIdType='" + partyIdType + '\'' +
                ", addressList=" + addressList +
                ", partyAcct=" + partyAcct +
                ", clrSysMmb=" + clrSysMmb +
                '}';
    }
}
