package com.brilliance.swift.vo.common;

public enum PaymentTransactionStatusCode {

    ACCC("AcceptedSettlementCompletedCreditorAccount"),
    ACCP("AcceptedCustomerProfile"),
    ACFC("AcceptedFundsChecked"),
    ACIS("AcceptedandChequeIssued"),
    ACSC("AcceptedSettlementCompletedDebitorAccount"),
    ACSP("AcceptedSettlementInProcess"),
    ACTC("AcceptedTechnicalValidation"),
    ACWC("AcceptedWithChange"),
    ACWP("AcceptedWithoutPosting"),
    BLCK("Blocked"),
    CANC("Cancelled"),
    CPUC("CashPickedUpByCreditor"),
    PATC("PartiallyAcceptedTechnicalCorrect"),
    PDNG("Pending"),
    PRES("Presented"),
    RCVD("Received"),
    RJCT("Rejected"),
    ADEA("ServicerDeadlineMissed"),
    DISA("NaturalDisaster"),
    ESCA("Escalation"),
    IAAD("StatusReasonInvestigation"),
    LPRO("LongerProcessing"),
    MINF("MissingInformation"),
    NEWI("NewIssues"),
    NEXT("NextProcess"),
    NSTP("NotStraightThroughProcessing"),
    PRSY("SystemOnHold");

    PaymentTransactionStatusCode(String s) {}

    public String value() {
        return name();
    }

}
