package com.brilliance;

import com.brilliance.swift.SwiftTransfer;
import org.apache.commons.io.FileUtils;
import org.junit.Test;

import java.io.File;
import java.io.IOException;

public class Mx2ElementTest {

    @Test
    public void testPacs008001() {
        File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/MxPacs00800108.xml"));
        String elementStr = SwiftTransfer.mx2Element(file);
        System.out.println(elementStr);
    }

    @Test
    public void testMx2Map() throws IOException {
        File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/MxPacs00800108.xml"));
        //File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/MxPacs00900108.xml"));
        //File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/MxPacs00900108_COV.xml"));
        //File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/MxCamt05300108_950.xml"));
        //File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/MxCamt05400108_CREDIT.xml"));
        String xmlStr = FileUtils.readFileToString(file);
        String elementStr = SwiftTransfer.showMxElement(xmlStr, "CN");
        System.out.println(elementStr);
    }
}
